<?php
defined( 'JPATH_BASE' ) or die( 'Direct Access to this location is not allowed.' );

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Session\Session;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

$user=Factory::getUser();
$mainframe = Factory::getApplication();
$Itemid=Factory::getApplication()->input->getInt("Itemid");
$client = $mainframe->isClient('administrator')?"administrator/":"";
$jsonurl = JURI::root() . $client . "index.php?option=com_jevents&typeaheadtask=gwejson&file=invitefriends&path=plugin&folder=jevents&plugin=jevrsvppro/rsvppro";
$html = "";

HTMLHelper::_('bootstrap.framework');
HTMLHelper::_('bootstrap.loadCss');

if ($user->id==$this->row->created_by() || JEVHelper::isAdminUser($user) || JEVHelper::canDeleteEvent($this->row, $user)){

	// Load the modal behavior script.
JLoader::register('JevModal', JPATH_LIBRARIES . "/jevents/jevmodal/jevmodal.php");
JevModal::modal("a.jevmodal");
	HTMLHelper::script( 'plugins/jevents/jevrsvppro/rsvppro/rsvp.js' );
	HTMLHelper::stylesheet('plugins/jevents/jevrsvppro/rsvppro/rsvp.css');
	$pluginpath = 'plugins/jevents/jevrsvppro/rsvppro/';

	$script = "var urlroot = '".JURI::root()."';\n";
	$script .= "var jsontoken = '".Session::getFormToken()."';\n";

	$document = Factory::getDocument();
	$document->addScriptDeclaration($script);

	$anyfailed = false;
	foreach ($this->invitees as $invitee) {
		if ($invitee->sentmessage == 0 ){
			$anyfailed = true;
			break;
		}
	}

	if ($this->jomsocial){
		$html = '<div class="cModule jevattendees" id="jevents_body"><h3><span>'.Text::_("JEV_INVITEES").'</span></h3>';
	}
	else {
		$html =" <div class='jevattendees' id='jevents_body'><h3>".Text::_("JEV_INVITEES")."</h3>";
	}

	$html .='
	<div class="button2-left"   style="margin-right:10px;">
		<div class="blank">
			<a href="#'.Text::_("JEV_ADD_INVITEES").'" onclick="addInvitees();return false;"  title="'.Text::_("JEV_ADD_INVITEES").'"  style="padding:0px 5px;text-decoration:none">'.Text::_("JEV_ADD_INVITEES").'</a>
		</div>
	</div>	
	';

	if ($this->params->get("invitejoomlagroups",0) && isset($this->jugroups)){
		$html .='
		<div class="button2-left"   style="margin-right:10px;">
			<div class="blank">
				<a href="#'.Text::_( 'JEV_INVITE_GROUP' ).'" onclick="addInvitees();document.getElementById(\'jugroups\').style.display=\'block\' ;return false;"  title="'.Text::_( 'JEV_INVITE_GROUP' ).'"  style="padding:0px 5px;text-decoration:none">'.Text::_( 'JEV_INVITE_GROUP' ).'</a>
			</div>
		</div>
		';

		$html .= "<div id='jugroups' style='display:none'>";

		$html .= "<select name='custom_jevuser[]' id='custom_jevuser_jugroupselection' size='".(count($this->jugroups)<6?count($this->jugroups)+1:6)."' onchange='inviteJoomlaGroup(\"".$jsonurl."\",this.options[this.selectedIndex].value )'>";
		$html .= "<option value='NONE' selected='selected'>".Text::_( 'JEV_SELECT_GROUP' )."</option>";
		foreach ($this->jugroups as $group) {
			$html .= "<option value='invitationgroup_$group->id'>$group->title</option>";
		}
		$html .= "</select>";
		$html .= "</div>";

	}

	if ($this->jomsocial){
		$html .='
		<div class="button2-left"   style="margin-right:10px;">
			<div class="blank">
				<a href="#'.Text::_("JEV_INVITE_FRIENDS").'" onclick="inviteFriends(\''.$jsonurl.'\');return false;"  title="'.Text::_("JEV_INVITE_FRIENDS").'"  style="padding:0px 5px;text-decoration:none">'.Text::_("JEV_INVITE_FRIENDS").'</a>
			</div>
		</div>
		';

		if ($this->jsgroups && count($this->jsgroups)>0){

			$html .='
			<div class="button2-left"   style="margin-right:10px;">
				<div class="blank">
					<a href="#'.Text::_("JEV_INVITE_GROUP_JS").'" onclick="addInvitees();document.getElementById(\'jsgroups\').style.display=\'block\' ;return false;"  title="'.Text::_("JEV_INVITE_GROUP_JS").'"  style="padding:0px 5px;text-decoration:none">'.Text::_("JEV_INVITE_GROUP_JS").'</a>
				</div>
			</div>
			';

			$html .= "<div id='jsgroups' style='display:none'>";

			$html .= "<select name='custom_jevuser[]' id='custom_jevuser_jsgroupselection' size='".(count($this->jsgroups)<6?count($this->jsgroups)+1:6)."' onchange='inviteJSGroup(\"".$jsonurl."\",this.options[this.selectedIndex].value)')'>";
			$html .= "<option value='NONE' selected='selected'>".Text::_("JEV_SELECT_GROUP")."</option>";
			foreach ($this->jsgroups as $group) {
				$html .= "<option value='invitationgroup_$group->id'>$group->name</option>";
			}
			$html .= "</select>";
			$html .= "</div>";

		}

	}

	if ($this->invitelists && count($this->invitelists)>0){
		$html .='
			<div class="button2-left"   style="margin-right:10px;">
				<div class="blank">
					<a href="#'.Text::_("JEV_LOAD_LIST").'" onclick="addInvitees();document.getElementById(\'listid\').style.display=\'block\'" ;return false;"  title="'.Text::_("JEV_LOAD_LIST").'"  style="padding:0px 5px;text-decoration:none">'.Text::_("JEV_LOAD_LIST").'</a>
				</div>
			</div>
			';

		$html .= "<div id='listid' style='display:none'>";

		$html .= "<select name='custom_jevuser[]' id='custom_jevuser_jsgroupselection' size='".(count($this->invitelists)<6?count($this->invitelists)+1:6)."' onchange='inviteList(\"".$jsonurl."\",this.options[this.selectedIndex].value, \"".$client."\")'>";
		$html .= "<option value='NONE' selected='selected'>".Text::_("JEV_SELECT_LIST")."</option>";
		foreach ($this->invitelists as $list) {
			$html .= "<option value='invitationlist_$list->id'>$list->listname</option>";
		}
		$html .= "</select>";
		$html .= "</div>";

	}

	JLoader::register('JevTypeahead', JPATH_LIBRARIES . "/jevents/jevtypeahead/jevtypeahead.php");
	$datapath = Route::_("index.php?option=com_rsvppro&ttoption=com_rsvppro&typeaheadtask=gwejson&file=finduser", false);
	ob_start();
	?>
	<input type="hidden" name='jev_name' id='jev_name' value="" />
	<div id="scrollable-dropdown-menu" style="float:left">
		<input name="name_notused"  id="ta_name" class="jevtypeahead" placeholder="<?php echo Text::_("RSVP_TYPE_NAME_USERNAME_OR_EMAIL");?>"  type="text" autocomplete="off" size="50">
	</div>
	<?php
	JevTypeahead::typeahead('#ta_name', array('remote' => $datapath,
		'data_value' => 'title',
		'data_id' => 'id',
		'field_selector' => '#jev_name',
		'minLength' => 1,
		'limit' => 10,
		'scrollable' => 1,
		'callback' => 'showMatchingInvitees',
		'json' => json_encode( array('rp_id' =>$this->row->rp_id()) )
		));
	$typeahead = ob_get_clean();

	$html .='
	<div style="clear:both"></div>	
	<div id="jev_name"  style="display:none" >
		<div class="jevusername" style="float:left;margin-right:10px;">'.Text::_("JEV_INVITEE_SEARCH").'
		</div>
		'.$typeahead.'
	</div>
	<input type="hidden" id="rsvp_evid"  value="'.$this->row->ev_id().'" />
	<div style="clear:both"></div>	
	<table cellspacing="0" cellpadding="0" border="0" style="margin-top:3px;">
	<tr>
	   <th class="jevcol1" style="display:none;" >'.Text::_("JEV_POTENTIAL_INVITEES").'</th>
	   <th >'.Text::_("JEV_CURRENT_INVITEES").'</th>
	</tr>
	<tr>	   
		<td valign="top"  class="jevcol1" style="display:none;padding-right:20px;">
			<div id="rsvpclicktoinvite" style="display:none;font-weight:bold">
				'.Text::_("JEV_CLICK_TO_INVITE").'
				<div class="button2-left" id="rsvpinviteall" style="float:right">
					<div class="blank">
						<a href="#'.Text::_("JEV_INVITE_ALL").'" onclick="inviteAll();return false;"  title="'.htmlspecialchars(Text::_("JEV_INVITE_ALL")).'"  style="padding:0px 5px;text-decoration:none">'.Text::_("JEV_INVITE_ALL").'</a>
					</div>
				</div>	
			</div>
<!--
			<select name="rsvpmatches" id="rsvpmatches" size="10" multiple="multiple" >
			</select>
			//-->
			<div id="rsvpmatches"></div>
		</td>
		<td  valign="top" >
			<div >
				<div class="button2-left" id="rsvpupdateinvites" style="display:none;">
					<div class="blank">
						<a href="#'.Text::_("JEV_CLICK_TO_UPDATE_INVITEES").'" onclick="updateInvitees(this);return false;"  title="'.htmlspecialchars(Text::_("JEV_CLICK_TO_UPDATE_INVITEES")).'"  style="padding:0px 5px;text-decoration:none">'.Text::_("JEV_CLICK_TO_UPDATE_INVITEES").'</a>
					</div>
				</div>	

				<div class="button2-left" id="rsvpemailinvites"  style="display:none;">
					<div class="blank">
						<a href="#'.Text::_("JEV_CLICK_TO_EMAIL_NEW_INVITEES").'" onclick="emailInvitees(this);return false;"  title="'.htmlspecialchars(Text::_("JEV_CLICK_TO_EMAIL_NEW_INVITEES")).'"  style="padding:0px 5px;text-decoration:none">'.Text::_("JEV_CLICK_TO_EMAIL_NEW_INVITEES").'</a>
					</div>
				</div>	

				<div class="button2-left" id="rsvpreemailinvites" '.(count($this->invitees)==0?'style="display:none"':'style="display:inline"').'>
					<div class="blank">
						<a href="#'.Text::_("JEV_CLICK_TO_RESEND_EMAIL_INVITATIONS").'" onclick="reemailInvitees(this);return false;"  title="'.htmlspecialchars(Text::_("JEV_CLICK_TO_RESEND_EMAIL_INVITATIONS")).'"  style="padding:0px 5px;text-decoration:none">'.Text::_("JEV_CLICK_TO_RESEND_EMAIL_INVITATIONS").'</a>
					</div>
				</div>	

				<div class="button2-left" id="rsvpsendfailed" '.($anyfailed?'style="display:inline;"':'style="display:none"').'>
					<div class="blank">
						<a href="#'.Text::_("JEV_CLICK_TO_RESEND_FAILED_MESSAGES").'" onclick="resendFailed(this);return false;"  title="'.htmlspecialchars(Text::_("JEV_CLICK_TO_RESEND_FAILED_MESSAGES")).'"  style="padding:0px 5px;text-decoration:none">'.Text::_("JEV_CLICK_TO_RESEND_FAILED_MESSAGES").'</a>
					</div>
				</div>
			</div>
			<div style="clear:both"></div>	
			';

	if ($mainframe->isClient('administrator')){
		$repeating = Factory::getApplication()->input->getInt("repeating",0);
		$atd_id = Factory::getApplication()->input->get("atd_id",array(), 'ARRAY');
		if (!isset($atd_id[0]) || strpos($atd_id[0],"|")===false){
			throw new Exception(Text::_("RSVP_MISSING_ATDID"), 403);
		}
		list($atd_id, $rp_id) = explode("|",$atd_id[0]);

		$atd_id = intval($atd_id);
		$rp_id = intval($rp_id);

		$link = "index.php?option=com_rsvppro&task=invitees.overview&atd_id[]=$atd_id|$rp_id&repeating=$repeating";
	}
	else {
		list($year,$month,$day) = JEVHelper::getYMD();
		$link = $this->row->viewDetailLink($year,$month,$day,true, $Itemid);
	}

	$html .='
				<form action="'.$link.'"  method="post" name="updateinvitees" >
			    <input type="hidden" name="jevrsvp_listid" id="jevrsvp_listid" value="" />    
			    <input type="hidden" name="jevattend_hiddeninitees" value="1" />    
				<input type="hidden" id="rsvp_email"  name="rsvp_email" value="0" />

				<table cellspacing="0" cellpadding="0" border="0" id="invitetable" '.(count($this->invitees)==0?'style="display:none"':'').'>
					<tr  valign="top">
					   <th>'.Text::_("JEV_INVITEE").'</th>
					   <th>'.Text::_("JEV_CLICK_TO_REMOVE").'</th>
					   <th>'.Text::_("JEV_EMAIL_SENT").'</th>
					   <th>'.Text::_("JEV_EVENT_VIEWED").'</th>
					   <th>'.Text::_("JEV_ATTENDING_EVENT").'</th>
					   </tr>
				';
	foreach ($this->invitees as $invitee) {
		if ($invitee->user_id>0){
			$inviteeid='rsvp_inv_'.$invitee->user_id;
			$inviteevalue=$inviteeid;
			$label = $invitee->name.' ('.$invitee->username.')';
		}
		else if ($invitee->email_address!="") {
			$inviteeid='rsvp_inv_'.$invitee->email_name."{".$invitee->email_address."}";
			$inviteevalue=$inviteeid;
			$label = $invitee->email_name.' {'.$invitee->email_address.'}';
		}
		else continue;

		$html .='
					<tr  valign="top">
						<td >'.$label.'
						<input type="hidden" name="jevinvitee[]" id="'.$inviteeid.'" value="'.$inviteeid.'" />
						</td>
						<td align="center">
						<img src="'.JURI::root().$pluginpath.'assets/Trash.png" onclick="cancelInvite(this);" style="height:16px;cursor:pointer" />
						</td>
						<td align="center">
						<img src="'.JURI::root().$pluginpath.'assets/'.($invitee->sentmessage?'Tick.png':'Cross.png').'" style="height:16px;" />
						</td>
						<td align="center">';
		// can only track "viewed" for registered users at present
		//if ($invitee->user_id>0){
		$html .='
						<img src="'.JURI::root().$pluginpath.'assets/'.($invitee->viewedevent?'Tick.png':'Cross.png').'" style="height:16px;" />';
		//}

		if (is_null($invitee->attendstate)){
			$html .='
							</td>
							<td align="center">
							</td>
						</tr>
					';
		}
		else {
			$images = array ("Cross.png","Tick.png","Question.png","Pending.png", "MoneyBag.png", "RedMoneyBag.png");
			$img =  $images[$invitee->attendstate];

			$html .='
							</td>
							<td align="center">
							<img src="'.JURI::root().$pluginpath.'assets/'.$img.'" style="height:16px;" />
							</td>
						</tr>
					';
		}
	}
	$html .='
				</table>
				</form>
				';

	$html .='
			<div id="saveinvitees" '.(count($this->invitees)==0?'style="display:none"':'style="display:block"').'>
				<label for="inviteelistname" >'.Text::_("Save List as").' '.'	
					<input id="inviteelistname" name="inviteelistname" type="text" />
				</label>
				<div class="button2-left" >
					<div class="blank">
						<a href="#'.Text::_("JEV_CLICK_TO_SAVE_INVITEE_LIST").'" onclick="saveInvitees(this);return false;"  title="'.htmlspecialchars(Text::_("JEV_CLICK_TO_SAVE_INVITEE_LIST")).'"  style="padding:0px 5px;text-decoration:none">'.Text::_("JEV_CLICK_TO_SAVE_INVITEE_LIST").'</a>
					</div>
				</div>
			</div>
			<div style="clear:both"></div>	

		</td>
	</tr>
	</table>
	
				';

	if ($this->params->get("inviteemails",0)){
		$html .='
	<div id="jev_email"  style="display:none" >
		<div class="jevemailadd">'.Text::_("JEV_INVITEE_EMAIL_ADD").'</div>
		<div class="jevemailname"><span>'.Text::_("JEV_INVITEE_NAME").'</span><input type="text"	name="jev_emailname" id="jev_emailname" size="30" maxlength="250" /></div>
		<div class="jevemailaddress"><span>'.Text::_("JEV_INVITEE_ADDRESS").'</span><input type="text"	name="jev_emailaddress" id="jev_emailaddress" size="30" maxlength="250" /></div>
		<br/><br/><input type="button" onclick="addEmailInvitee();" value="'.Text::_("JEV_INVITEE_ADD").'" />&nbsp;
	</div>
			';
	}


	$html.='</div>';

}

echo $html;
?>
<form action="index.php" method="post" name="adminForm" id="adminForm" >
  <input type="hidden" name="task" value="invites.overview" />
  <input type="hidden" name="option" value="<?php echo RSVP_COM_COMPONENT; ?>" />
	<input type="hidden" name="Itemid" value="<?php echo Factory::getApplication()->input->getInt("Itemid",0); ?>" />
</form>

