<?php
/**
 * JEvents Locations Component for Joomla 1.5.x
 *
 * @version     $Id: jevboolean.php 1331 2010-10-19 12:35:49Z geraintedwards $
 * @package     JEvents
 * @copyright   Copyright (C) 2008-2021 GWE Systems Ltd
 * @license     GNU/GPLv2, see http://www.gnu.org/licenses/gpl-2.0.html
 * @link        https://www.jevents.net
 */

// Check to ensure this file is included in Joomla!

defined('JPATH_BASE') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\FormHelper;
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
FormHelper::loadFieldClass('textarea');

class JFormFieldJevtextarea extends JFormFieldTextarea
{
	protected function getInput()
	{
		$this->value = str_replace('<br />', "\n", Text::_($this->value));
		return parent::getInput();
	}

}
class_alias("JFormFieldJevtextarea", "FormFieldJevtextarea");
