<?php
defined( 'JPATH_BASE' ) or die( 'Direct Access to this location is not allowed.' );

use Joomla\CMS\Router\Route;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

$Itemid = Factory::getApplication()->input->getInt("Itemid");
$rp_id  = intval($this->row->rp_id());
$atd_id = intval($this->rsvpdata->id);
$link   = "index.php?option=com_rsvppro&task=attendees.record&at_id=$atd_id&rp_id=$rp_id&Itemid=$Itemid";

if (Factory::getApplication()->input->getCmd("tmpl","")=="component"){
	$link .= "&tmpl=component";
}

$db = Factory::getDbo();

// Will  need this for tickets
if (!isset($this->templateInfo )) {
	$xmlfile = JevTemplateHelper::getTemplate($this->rsvpdata);
	if (is_int($xmlfile) &&  $xmlfile>0){
		$db->setQuery("Select * from #__jev_rsvp_templates where id=" . intval($xmlfile));
		$this->templateInfo = $db->loadObject();
		if ($this->templateInfo){
			$this->templateParams = $this->templateInfo->params;
			$this->templateParams = json_decode($this->templateParams);
		}
		else {
			$this->templateParams= false;
		}		
	}	
	else {
		$this->templateParams= false;
	}
}

$html = '<!-- attendee emptyattendanceform -->';
// if tracking capacity find how many spaces are used up/left - for display purposes only
if ($this->params->get("capacity",0) )
{
	$sql = "SELECT atdcount FROM #__jev_attendeecount as a WHERE a.at_id=" . $this->rsvpdata->id;
	if (!$this->rsvpdata->allrepeats)
	{
		$sql .= " and a.rp_id=" . $this->row->rp_id();
	}
	$db->setQuery($sql);
	$attendeeCount = intval($db->loadResult());

	$unpaidWaitingList = "";
	if ($this->templateParams)
	{
		if (isset($this->templateParams->waitingnopay) && $this->templateParams->waitingnopay)
		{
			$unpaidWaitingList = "  OR atdees.attendstate=4";
		}
	}

	$query = "SELECT sum(atdees.atdcount) as waitingcount "
		. "\n FROM #__jev_attendees AS atdees "
		. "WHERE atdees.at_id = " . intval($this->rsvpdata->id) . " AND atdees.waiting=1 AND atdees.confirmed=1 AND (atdees.attendstate=1 $unpaidWaitingList)";
	if (!$this->rsvpdata->allrepeats)
	{
		$query .= " and atdees.rp_id=" . $this->row->rp_id();
	}

	$db->setQuery($query);
	$waitingCount = intval($db->loadResult());

	$this->rsvpdata->attendeeCount          = $attendeeCount;
	$this->rsvpdata->waitingCount           = $waitingCount;
	$this->rsvpdata->attendeeCountExWaiting = $attendeeCount - $waitingCount;
	$this->rsvpdata->attendeeCount = $attendeeCount;
	$this->waitingCount = $waitingCount;
	$this->rsvpdata->attendeeCountExWaiting =  $attendeeCount - $waitingCount;
}

// Tell the user they are attending only if cancellation is not allowed and they are attending
if ($this->attending  && $this->attendee->attendstate==1){
	$html .= $this->loadTemplate("youareattending");
}
else if(isset($this->attendee->attendstate) && $this->attendee->attendstate==0){
	$html = $this->loadTemplate("youarenotattending");
}
else if(isset($this->attendee->attendstate) && $this->attendee->attendstate==2){
	$html = $this->loadTemplate("youmaybeattending");
}
else if(isset($this->attendee->attendstate) && $this->attendee->attendstate==3){
	$html = $this->loadTemplate("awaitingconfirmation");
}
else if(isset($this->attendee->attendstate) && $this->attendee->attendstate==4){
	$html = $this->loadTemplate("awaitingpayment");
}

if (($this->rsvpdata->allowcancellation || $this->rsvpdata->allowchanges ) && $this->attending  && ($this->attendee->attendstate==1 || $this->attendee->attendstate==4)){
	if ($this->templateParams){
		if (isset($this->templateParams->whentickets) && count($this->templateParams->whentickets)>0 && ($this->rsvpdata->allowcancellation || $this->rsvpdata->allowchanges )){
			$html .= $this->loadTemplate("ticket");
		}
	}
}

// Do we need the email address security code?
if ($this->emailaddress!=""){
	$code = base64_encode($this->emailaddress.":".md5($this->params->get("emailkey","email key").$this->emailaddress));
	$link = $link."&em=".$code;
}
$link = Route::_($link, false);
$this->link = $link;

$html .='
<form action="'.$link.'"  method="post"  name="updateattendance"  id="updateattendance"  enctype="multipart/form-data" >';
$html .='<input type="hidden" name="Itemid"  value="' .  Factory::getApplication()->input->getInt("Itemid" ,1) . '" />';
$html .=  HTMLHelper::_('form.token');
$html .=' 
<input type="text" name="jevattend_hidden" value="1"  style="display:none"/>
<input type="hidden" name="jevattend_id" id="jevattend_id" value="0" />
<input type="hidden" name="jevattend_id_approve" id="jevattend_id_approve" value="0" />
<input type="hidden" name="tmpl" value="component" />
</form>';

echo $html;
