<?php
defined( 'JPATH_BASE' ) or die( 'Direct Access to this location is not allowed.' );

use Joomla\CMS\Router\Route;
use Joomla\CMS\Session\Session;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::stylesheet(  'components/com_rsvppro/assets/css/rsvpattend.css' );
HTMLHelper::script( 'components/com_rsvppro/assets/js/tabs.js');
$script = "var urlroot = '".JURI::root()."';\n";
$script .= "var jsontoken = '".Session::getFormToken()."';\n";

$document = Factory::getDocument();
$document->addScriptDeclaration($script);

$html   = '<!-- attendee overlappingsession -->';
$user   = Factory::getUser();

$Itemid = Factory::getApplication()->input->getInt("Itemid");

$rp_id = intval($this->row->rp_id());
$atd_id = intval($this->rsvpdata->id);
$link = "index.php?option=com_rsvppro&task=attendees.record&at_id=$atd_id&rp_id=$rp_id&Itemid=$Itemid";
if (Factory::getApplication()->input->getCmd("tmpl","")=="component"){
	$link .= "&tmpl=component";
}

// Do we need the email address security code?
if ($this->emailaddress!=""){
	$code = base64_encode($this->emailaddress.":".md5($this->params->get("emailkey","email key").$this->emailaddress));
	$link = $link."&em=".$code;
}
$link = Route::_($link, false);
$this->link = $link;

$db= Factory::getDBO();

// Until we incorporate registration deadline we stop registrations from the time the event starts
jimport('joomla.utilities.date');


if (!isset($this->templateInfo )) {
	$xmlfile = JevTemplateHelper::getTemplate($this->rsvpdata);
	if (is_int($xmlfile) &&  $xmlfile>0){
		$db = Factory::getDbo();
		$db->setQuery("Select * from #__jev_rsvp_templates where id=" . intval($xmlfile));
		$this->templateInfo = $db->loadObject();
		if ($this->templateInfo){
			$this->templateParams = $this->templateInfo->params;
			$this->templateParams = json_decode($this->templateParams);
		}
		else {
			$this->templateParams= false;
		}		
	}	
	else {
		$this->templateParams= false;
	}
}

if (!$this->templateParams) return "";

// Is this a block overlaps sesssion - if so need to make sure the attendee is not already attending an overlapping session
if (isset($this->templateParams->blockoverlaps) && $this->templateParams->blockoverlaps){
	if ($this->attending  && isset($this->attendee) && $this->attendee->attendstate!=0) {
		return "attending";
	}
}

// Must use strtotime format for force JevDate to not just parse the date itself!!!
$jnow = new JevDate("+1 second");
$now  = $jnow->toUnix();

// We see if registrations are open
if ($now > $this->rsvpdata->adjustedregclose)
{
	echo  $html . $this->loadTemplate("registrationsclosed") . $this->loadTemplate("emptyattendanceform");
	return;
}
else if ($now < $this->rsvpdata->adjustedregopen)
{
	echo  $html . $this->loadTemplate("registrationsnotopen") . $this->loadTemplate("emptyattendanceform");
	return;
}

$html = "This is an overlapping event";
echo $html;
